Arch Add/ja: Difference between revisions

From FreeCAD Documentation
(Created page with "==説明==")
(Created page with "{{GuiCommand/jp|Name=Arch Add|Workbenches=建築|MenuLocation=Arch -> Add|SeeAlso=Arch Remove}} ====説明==== Addツールは2種類...")
Line 4: Line 4:
==説明==
==説明==


{{GuiCommand/jp|Name=Arch Add|Workbenches=[[Arch Module/jp|建築]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove/jp|Arch Remove]]}}
The Add tool allows you to do 4 kinds of operations:

* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
====説明====
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].

* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
Addツールは2種類の操作を提供します:
* Add objects to [[Arch SectionPlane|section planes]]
* [[Part Module/jp|シェイプ]]ベースのオブジェクトを[[Arch Wall/jp|壁]]や[[Arch Structure/jp|骨組み]]といった Archコンポーネントに追加します。これらのオブジェクトはArchコンポーネントのパーツとなってその高さや厚みといった基本プロパティを保持するだけでなく、その形状を変更する機能を提供します。
* [[Arch Wall/jp|壁]]、[[Arch Structure/jp|骨組み]]、[[Arch Cell/jp|セル]]あるいは[[Arch Floor/jp|床]]などのセルベースのオブジェクトといったArchコンポーネントを追加します。

[[Image:Arch Add example.jpg]]

上の図では壁に直方体が追加されています。

====使用方法====
* 追加するオブジェクト(複数可)を選択してから"ホスト"となるオブジェクトを選択してください(最後に選択したものがホストオブジェクトになります)
* [[Image:Arch Add.png|16px]] '''Add'''ボタンを押してください

{{languages/jp | {{de|Arch_Add/de}} {{en|Arch_Add}} {{es|Arch_Add/es}} {{fr|Arch_Add/fr}} {{it|Arch_Add/it}} }}


[[Image:Arch Add example.jpg|640px]]
[[Image:Arch Add example.jpg|640px]]

Revision as of 08:51, 7 December 2018

Arch Add

Menu location
Arch → Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

説明

Template:GuiCommand/jp

説明

Addツールは2種類の操作を提供します:

  • シェイプベースのオブジェクトを骨組みといった Archコンポーネントに追加します。これらのオブジェクトはArchコンポーネントのパーツとなってその高さや厚みといった基本プロパティを保持するだけでなく、その形状を変更する機能を提供します。
  • 骨組みセルあるいはなどのセルベースのオブジェクトといったArchコンポーネントを追加します。

上の図では壁に直方体が追加されています。

使用方法

  • 追加するオブジェクト(複数可)を選択してから"ホスト"となるオブジェクトを選択してください(最後に選択したものがホストオブジェクトになります)
  • Addボタンを押してください

Template:Languages/jp

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject)
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)